@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&family=Lexend+Deca&display=swap');

:root {
  --dark-blue: hsl(233, 47%, 7%);
  --dark-desaturated-blue : hsl(244, 38%, 16%);
  --soft-violet: hsl(277, 64%, 61%);

  --white: hsl(0, 0%, 100%);
  --slightly-transparent-white: hsla(0, 0%, 100%, 0.75);
  --slightly-more-transparent-white: hsla(0, 0%, 100%, 0.6);
}

*, html {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
}

body {
  background-color: var(--dark-blue);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
}

h1 {
  color: var(--white);
  font-size: 30px;
  text-align: center;
  margin-bottom: 36px;
}

p {
  font-size: 15px;
  line-height: 18px;
  text-align: center;
  margin-bottom: 48px;
}

.card {
  /* background-image: linear-gradient(var(--soft-violet), var(--soft-violet), url("./images/image-header-mobile.jpg"); */
  background-image: url('./images/image-header-mobile.png');
  background-position: top;
  background-repeat: no-repeat;
  background-size: 100% 240px;
  background-color: var(--dark-desaturated-blue);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  
  margin: 30rem 2rem 2rem 2rem;
  padding: 18rem 36px 36px 36px;

  border-radius: 5px;
}

.stats {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.stat {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 36px;
}

.stat-number {
  color: var(--white);
  margin-bottom: 8px;
}

.stat-desc {
  font-family: 'Lexend Deca', sans-serif;
  font-style: normal;
  color: var(--slightly-more-transparent-white);
  font-weight: 400;
}
.card p {
  color: var(--slightly-more-transparent-white);
}

.h1-accent {
  color: var(--soft-violet);
  font-family: 'Inter', sans-serif;
  font-style: normal;
}


.image-desktop {
  display: none;
}

@media (min-width: 376px) {
  .card {
    background-image: none;
    background: var(--dark-desaturated-blue);

    margin: 0 0 100px 0;
    padding: 0;
    display: flex;
    flex-direction: row;
  }

  .card-content {
    align-items: flex-start;
    justify-content: flex-start;
    flex: 1;

    margin: 70px 110px 70px 70px;
  }

  h1 {
    text-align: left;
  }

  p {
    text-align: left;
    width: 310px;
  }

  .image-desktop {
    display: block;
    flex: 1;
    border-radius: 5px;
  }

  .stats {
    justify-content: flex-start;
    flex-direction: row;
  }
  
  .stat {
    align-items: flex-start;
    margin-right: 2rem;
  }
}